-- CVN-77 George H. W. Bush (NIMITZ Class Carrier) Current VFA-113
mount_vfs_model_path	(current_mod_path.."/Shapes")
mount_vfs_texture_path  (current_mod_path.."/Textures/Bush")


GT = {};
GT_t.ws = 0;

set_recursive_metatable(GT, GT_t.generic_ship)

GT.visual = {}
GT.visual.shape = "Bush"
GT.visual.shape_dstr = ""
GT.animation_arguments.radar1_rotation = 11; -- вращение радара 1

GT.animation_arguments.luna_lights = 100;

GT.life = 7000
GT.mass = 7.05e+007
GT.max_velocity = 16.4622
GT.race_velocity = 15.4333
GT.economy_velocity = 9.26
GT.economy_distance = 1.4816e+007
GT.race_distance = 4.63e+006
GT.shipLength = 304.5
GT.Width = 42
GT.Height = 53.1
GT.Length = 304.5
GT.DeckLevel = 16.257
GT.X_nose = 210
GT.X_tail = -146
GT.Tail_Width = 28
GT.Gamma_max = 0.35
GT.Om = 0.05
GT.speedup = 0.148333
GT.R_min = 609
GT.distFindObstacles = 963.5

GT.numParking = 4;
GT.Plane_Num_ = 72;
GT.Helicopter_Num_ = 6;

GT.airWeaponDist = 15000;
GT.airFindDist = 30000;

--GT.exhaust = 
--{
--	[1] = { size = 0.75 , pos = {0 ,40, 23 } },
-- }

GT.cord_points = {
        {-72.046,   16.683, -21.694}, {-68.261,   16.683, 7.259},
        {-59.487,   16.683, -23.633}, {-55.702,   16.683, 5.32},
        {-47.662,   16.683, -24.952}, {-43.877,   16.683, 4.001},
        {-35.03,    16.683, -26.578}, {-31.244,   16.683, 2.375},
                }

GT.Landing_Point = {71.0, 16.26,-30.0} --{71.0, 16.26,-30.0}  

--GT.LSOPosition = {3.0, 33.0, -25.0, 0.0, 0.0}  --PRI_FLY 
--GT.LSOPosition = {4.2, 17.0, 16.65, 8.8, 4.0} --PLAT_CAMERA 4.0
GT.LSOPosition = {4.0, 17.0, 16.75, 8.8, 3.5} --PLAT_CAMERA 3.5
--GT.LSOPosition = {4.2, 17.988, 16.803, 8.8, 3.75} --KIRKA PLAT_CAMERA
--GT.LSOPosition = {84.0, 19.4, 19.0, 110.0, 0.0} --LSO_PLATFORM

-- weapon systems

GT.WS = {}
GT.WS.maxTargetDetectionRange = 30000;
GT.WS.radar_type = 104

local ws = GT_t.inc_ws();
GT.WS[ws] = {}
set_recursive_metatable(GT.WS[ws], GT_t.WS_t.phalanx )
GT.WS[ws].angles_mech = {
							{math.rad(95), math.rad(-95), math.rad(-5), math.rad(90)}
}
GT.WS[ws].angles[1][1] = math.rad(70);
GT.WS[ws].angles[1][2] = math.rad(-95);
GT.WS[ws].angles[2] = {math.rad(95), math.rad(70), math.rad(10), math.rad(85)};
GT.WS[ws].board = 3
GT.WS[ws].pos = {101.963,17.463,-21.153}
--GT.WS[ws].drawArgument1 = 23
--GT.WS[ws].drawArgument2 = 24

ws = GT_t.inc_ws();
GT.WS[ws] = {}
set_recursive_metatable(GT.WS[ws], GT_t.WS_t.phalanx )
GT.WS[ws].angles_mech = {
							{math.rad(85), math.rad(-70), math.rad(-5), math.rad(90)}
}
GT.WS[ws].angles[1][1] = math.rad(85);
GT.WS[ws].angles[1][2] = math.rad(-45);
GT.WS[ws].angles[2] = {math.rad(-45), math.rad(-70), math.rad(10), math.rad(85)};
GT.WS[ws].board = 4
GT.WS[ws].pos = {90.953,16.097,23.294}
--GT.WS[ws].drawArgument1 = 25
--GT.WS[ws].drawArgument2 = 26

ws = GT_t.inc_ws();
GT.WS[ws] = {}
set_recursive_metatable(GT.WS[ws], GT_t.WS_t.phalanx )
GT.WS[ws].angles[1][1] = math.rad(100);
GT.WS[ws].angles[1][2] = math.rad(-100);
GT.WS[ws].board = 2
GT.WS[ws].pos = {-163.792,10.061,14.483}
--GT.WS[ws].drawArgument1 = 29
--GT.WS[ws].drawArgument2 = 30

ws = GT_t.inc_ws();
GT.WS[ws] = {}
set_recursive_metatable(GT.WS[ws], GT_t.WS_t.phalanx )
GT.WS[ws].angles[1][1] = math.rad(95);
GT.WS[ws].angles[1][2] =  math.rad(-70);
GT.WS[ws].board = 3
GT.WS[ws].pos = {-158.042,10.061,-17.74}
--GT.WS[ws].drawArgument1 = 27
--GT.WS[ws].drawArgument2 = 28

--forward
ws = GT_t.inc_ws();
GT.WS[ws] = {}
set_recursive_metatable(GT.WS[ws], GT_t.WS_t.seasparrow )
GT.WS[ws].newZ = false;
GT.WS[ws].pos = {98.225,17.196,21.628}
GT.WS[ws].angles_mech = {
							{math.rad(180), math.rad(-180), math.rad(-5), math.rad(95)}
}
GT.WS[ws].angles[1][1] = math.rad(10);
GT.WS[ws].angles[1][2] = math.rad(-120);
GT.WS[ws].angles[2] = {math.rad(-120), math.rad(10), math.rad(40), 1.48353};
GT.WS[ws].drawArgument1 = 21
GT.WS[ws].drawArgument2 = 22
GT.WS[ws].LN[1].min_launch_angle = math.rad(15);

--back left
ws = GT_t.inc_ws();
GT.WS[ws] = {}
set_recursive_metatable(GT.WS[ws], GT_t.WS_t.seasparrow )
GT.WS[ws].board = 3
GT.WS[ws].pos = {-151.36,18.035,-18.969}
GT.WS[ws].newZ = false;
GT.WS[ws].angles_mech = {
							{math.rad(90), math.rad(-90), math.rad(-5), math.rad(95)}
}
GT.WS[ws].angles[1][1] = math.rad(90);
GT.WS[ws].angles[1][2] = math.rad(-65);
GT.WS[ws].angles[2] = {math.rad(-65), math.rad(-90), math.rad(20), 1.48353};
GT.WS[ws].drawArgument1 = 17
GT.WS[ws].drawArgument2 = 18
GT.WS[ws].LN[1].min_launch_angle = math.rad(15);

--back right
ws = GT_t.inc_ws();
GT.WS[ws] = {}
set_recursive_metatable(GT.WS[ws], GT_t.WS_t.seasparrow )
GT.WS[ws].board = 4
GT.WS[ws].pos = {-151.36,18.035,25.376}
GT.WS[ws].newZ = false;
GT.WS[ws].angles_mech = {
							{math.rad(90), math.rad(-90), math.rad(-5), math.rad(95)}
}
GT.WS[ws].angles[1][1] = math.rad(70);
GT.WS[ws].angles[1][2] = math.rad(-90);
GT.WS[ws].drawArgument1 = 19
GT.WS[ws].drawArgument2 = 20
GT.WS[ws].LN[1].min_launch_angle = math.rad(15);

GT.Name = _("Bush")
GT.Name = "Bush"
GT.DisplayName = _("CVN-77 George H. W. Bush")
GT.Rate = 5500

GT.Sensors = {  OPTIC = {"long-range naval optics", "long-range naval LLTV"},
                RADAR = {
                    "seasparrow tr",
                    "carrier search radar",
                },
            };

GT.DetectionRange  = GT.airFindDist;
GT.ThreatRange = GT.airWeaponDist;
GT.Singleton   ="yes";
GT.mapclasskey = "P0091000065";
GT.attribute = {wsType_Navy,wsType_Ship,wsType_AirCarrier,
                    "Aircraft Carriers",
                    "cord",
                    "ski_jump",
                    "RADAR_BAND1_FOR_ARM",
				};
--[[GT.attribute = {wsType_Navy,wsType_Ship,wsType_AirCarrier,Kuznecow,
                    "Aircraft Carriers",
                    "cord",
                    "ski_jump",
                    "RADAR_BAND1_FOR_ARM",
				};	]]			
GT.Categories = {
					{name = "AircraftCarrier"},
					--{name = "AircraftCarrier With Tramplin"},
					{name = "AircraftCarrier With Catapult"},
					{name = "Armed Ship"},
				};
				
add_surface_unit(GT)				